Bug 221401 - [NEW PORT] science/py-qspin: Learn quantum spin and entanglement
Summary: [NEW PORT] science/py-qspin: Learn quantum spin and entanglement
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-10 21:40 UTC by Yuri Victorovich
Modified: 2017-11-10 21:56 UTC (History)
1 user (show)

See Also:


Attachments
shar (2.04 KB, text/plain)
2017-08-10 21:40 UTC, Yuri Victorovich
no flags Details
shar archive (2.01 KB, text/plain)
2017-08-15 03:29 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-10 21:40:53 UTC
Created attachment 185246 [details]
shar

QAs:
* poudriere 11.1 amd64
* portlint
* runs fune
Comment 1 Richard Gallamore freebsd_committer 2017-08-15 02:07:52 UTC
Hello Yuri, thank you for submitting a new port. I found some items that need to be addressed before it is ready to be committed.

* According to [1], PORTNAME MUST be equal to lowercase(<PyPI-name>), and
PKGNAMEPREFIX MUST be ${PYTHON_PKGNAMEPREFIX}.
* RUN_DEPENDS:= is not acceptable anymore. See [2] for more details.
* Are you sure numpy is a BUILD_DEPENDS? According to the setup.py, it is only a RUN_DEPENDS.

[1] https://wiki.freebsd.org/Python/PortsPolicy
[2] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-depend
Comment 2 Yuri Victorovich freebsd_committer 2017-08-15 03:29:54 UTC
Created attachment 185426 [details]
shar archive

Fixed all three problems.
Comment 3 commit-hook freebsd_committer 2017-11-10 21:56:25 UTC
A commit references this bug:

Author: yuri
Date: Fri Nov 10 21:55:27 UTC 2017
New revision: 453933
URL: https://svnweb.freebsd.org/changeset/ports/453933

Log:
  New port: science/py-qspin: Learn quantum spin and entanglement

  PR:		221401
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12993

Changes:
  head/science/Makefile
  head/science/py-qspin/
  head/science/py-qspin/Makefile
  head/science/py-qspin/distinfo
  head/science/py-qspin/pkg-descr